//First things first, let's make sure the person who got this thing knows what they're doing
%error = ForceRequiredAddOn("Weapon_Package_Tier1");

if(%error == $Error::AddOn_Disabled)
{
	error("ERROR: Script_TierLoadUnused -  Tier and Tactical needs to be loaded for this addon to work!");
	return;
}

if(%error == $Error::AddOn_NotFound)
{
	//Dunno who would actually think this addon is standalone, but you can never be sure
  	error("ERROR: Script_TierLoadUnused - Tier and Tactical needs to be installed for this addon to do anything! This addon is not standalone!");
	return;
}

//Now let's load all unused skins, depending on what user enabled
%error1 = ForceRequiredAddOn("Weapon_Package_Tier1A");
if(%error1 == $Error::AddOn_Disabled || %error1 == $Error::AddOn_NotFound)
{
	//Making an error here would be pointless - let's 'warn' the user instead
	warn("Script_TierLoadUnused -  Weapon_Package_Tier1A not loaded - will not load Nailgun");
}
else exec("Add-Ons/Weapon_Package_Tier1A/Weapon_Nailgun.cs");

%error2 = ForceRequiredAddOn("Weapon_Package_Tier2A");
if(%error2 == $Error::AddOn_Disabled || %error2 == $Error::AddOn_NotFound)
{
	warn("Script_TierLoadUnused -  Weapon_Package_Tier2A not loaded - will not load Match Pistol or Scoped Magnum");
}
else
{
	exec("Add-Ons/Weapon_Package_Tier2A/Weapon_Match_Pistol.cs");
	exec("Add-Ons/Weapon_Package_Tier2A/Weapon_ScopedMagnum.cs");
}

%error3 = ForceRequiredAddOn("Weapon_Package_Explosive2");
if(%error3 == $Error::AddOn_Disabled || %error3 == $Error::AddOn_NotFound)
{
	warn("Script_TierLoadUnused -  Weapon_Package_Explosive2 not loaded - will not load Howitzer");
}
else exec("Add-Ons/Weapon_Package_Explosive2/Weapon_Mortar.cs");

%error4 = ForceRequiredAddOn("Weapon_Skins_Shotgun");
if(%error4 == $Error::AddOn_Disabled || %error4 == $Error::AddOn_NotFound)
{
	warn("Script_TierLoadUnused -  Weapon_Skins_Shotgun not loaded - will not load Classic Shotgun");
}
else
{
	exec("Add-Ons/Weapon_Skins_Shotgun/Weapon_ClassicShotgun.cs");
	datablock ShapeBaseImageData(ClassicShotgunImage : PumpShotgunImage)
	{
  		// Basic Item properties
  	 	shapeFile = "Add-Ons/Weapon_Skins_Shotgun/Classic_Shotgun.3.dts"; //The defined datablock in ClassicShotgun.cs incorrectly defines shape file, making the shotgun impossible to use - redefining the datablock here is the only way of enabling it
		emap = true;
		mountPoint = 0;
		offset = "0 0 0";
		eyeOffset = 0; //"0.7 1.2 -0.5";
		rotation = eulerToMatrix( "0 0 0" );
		correctMuzzleVector = true;
		className = "WeaponImage";
		item = ClassicShotgunItem;
		ammo = " ";
		projectile = ClassicShotgunProjectile;
		projectileType = Projectile;
		casing = PumpShotgunShellDebris;
		shellExitDir        = "1.0 0.1 1.0";
		shellExitOffset     = "0 0 0";
		shellExitVariance   = 10.0;	
		shellVelocity       = 5.0;
		doColorShift = true;
		colorShiftColor = ClassicShotgunItem.colorShiftColor;
	};
}

%error5 = ForceRequiredAddon("Weapon_Skins_Magnum");
if(%error5 == $Error::AddOn_Disabled || %error5 == $Error::AddOn_NotFound)
{
	warn("Script_TierLoadUnused -  Weapon_Skins_Magnum not loaded - will not load Retro Magnum");
}
else exec("Add-Ons/Weapon_Skins_Magnum/Weapon_RetroMagnum.cs");

%error6 = ForceRequiredAddon("Weapon_Skins_RiflesT2");
if(%error6 == $Error::AddOn_Disabled || %error6 == $Error::AddOn_NotFound)
{
	warn("Script_TierLoadUnused -  Weapon_Skins_RiflesT2 not loaded - will not load Automatic Assault Rifle, Scout Assault Rifle or Compact Battle Rifle");
}
else
{
   exec("Add-Ons/Weapon_Skins_RiflesT2/Weapon_AutomaticRifle.cs"); 
   exec("Add-Ons/Weapon_Skins_RiflesT2/Weapon_ScoutAR.cs"); 
   exec("Add-Ons/Weapon_Skins_RiflesT2/Weapon_SemiBR.cs"); 
}

//Since you took the time to peek into the addon's code, here's the "condition" for scorning: Base tier and tactical addon loaded but none of the addons with unused weapons
if(%error1 && %error2 && %error3 && %error4 && %error5 && %error6) error("ARE YOU INSANE?! YOU LOADED SCRIPT_TIERLOADUNUSED WITHOUT ANY OF THE ADDONS WITH UNUSED WEAPONS? ARE YOU SERIOUS MATE?");